[Forgot Password]
Login  Register Subscribe

23631

 
 

126173

 
 

98218

 
 

909

 
 

79224

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

RHSA-2009:0408-01 -- Redhat krb5

ID: oval:org.secpod.oval:def:500623Date: (C)2012-01-31   (M)2017-10-04
Class: PATCHFamily: unix




Kerberos is a network authentication system which allows clients and servers to authenticate to each other using symmetric encryption and a trusted third party, the Key Distribution Center . The Generic Security Service Application Program Interface definition provides security services to callers in a generic fashion. The Simple and Protected GSS-API Negotiation mechanism is used by GSS-API peers to choose from a common set of security mechanisms. An input validation flaw was found in the ASN.1 decoder used by MIT Kerberos. A remote attacker could use this flaw to crash a network service using the MIT Kerberos library, such as kadmind or krb5kdc, by causing it to dereference or free an uninitialized pointer. Multiple input validation flaws were found in the MIT Kerberos GSS-API library"s implementation of the SPNEGO mechanism. A remote attacker could use these flaws to crash any network service utilizing the MIT Kerberos GSS-API library to authenticate users or, possibly, leak portions of the service"s memory. All krb5 users should upgrade to these updated packages, which contain backported patches to correct these issues. All running services using the MIT Kerberos libraries must be restarted for the update to take effect.

Platform:
Red Hat Enterprise Linux 5
Product:
krb5
Reference:
RHSA-2009:0408-01
CVE-2009-0844
CVE-2009-0845
CVE-2009-0846
CVE    3
CVE-2009-0844
CVE-2009-0846
CVE-2009-0845
CPE    2
cpe:/a:mit:krb5
cpe:/o:redhat:enterprise_linux:5

© 2013 SecPod Technologies